VelocityContext (Velocity 1.7 API)
Keywords: org.apache.velocity.VelocityContext class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity
Class VelocityContext

    java.lang.Object
      org.apache.velocity.context.InternalContextBase
          org.apache.velocity.context.AbstractContext
              org.apache.velocity.VelocityContext

All Implemented Interfaces:
  Cloneable, Context, InternalEventContext, org.apache.velocity.context.InternalHousekeepingContext

public class VelocityContext
extends AbstractContext
implements Cloneable

General purpose implemention of the application Context interface for general application use. This class should be used in place of the original Context class. This implementation uses a HashMap (@see java.util.HashMap ) for data storage. This context implementation cannot be shared between threads without those threads synchronizing access between them, as the HashMap is not synchronized, nor are some of the fundamentals of AbstractContext. If you need to share a Context between threads with simultaneous access for some reason, please create your own and extend the interface Context

Version:
  $Id: VelocityContext.java 898032 2010-01-11 19:51:03Z nbubna $
Author:
  Geir Magnusson Jr., Jason van Zyl, Fedor Karpelevitch, Daniel Rall
See Also:
  `Context`

Constructor Summary
`VelocityContext()` Creates a new instance (with no inner context).
`VelocityContext(Context innerContext)` Chaining constructor, used when you want to wrap a context in another.
`VelocityContext(Map context)` Creates a new instance with the provided storage (and no inner context).
`VelocityContext(Map context, Context innerContext)` Initializes internal storage (never to `null`), and inner context.

Method Summary
`Object` | `clone()` Clones this context object.
`boolean` | `internalContainsKey(Object key)` determines if there is a value for the given key
`Object` | `internalGet(String key)` retrieves value for key from internal storage
`Object[]` | `internalGetKeys()` returns array of keys
`Object` | `internalPut(String key, Object value)` stores the value for key to internal storage
`Object` | `internalRemove(Object key)` remove a key/value pair from the internal storage

Methods inherited from class org.apache.velocity.context.AbstractContext
`attachEventCartridge, containsKey, get, getChainedContext, getCurrentMacroCallDepth, getCurrentMacroName, getCurrentResource, getCurrentTemplateName, getEventCartridge, getKeys, getMacroLibraries, getMacroNameStack, getTemplateNameStack, icacheGet, icachePut, popCurrentMacroName, popCurrentTemplateName, pushCurrentMacroName, pushCurrentTemplateName, put, remove, setCurrentResource, setMacroLibraries`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityContext

    public VelocityContext()

  Creates a new instance (with no inner context).

### VelocityContext

    public VelocityContext(Map context)

  Creates a new instance with the provided storage (and no inner context).

Parameters:
  `context` -

### VelocityContext

    public VelocityContext(Context innerContext)

  Chaining constructor, used when you want to wrap a context in another. The inner context will be 'read only' - put() calls to the wrapping context will only effect the outermost context

Parameters:
  `innerContext` - The `Context` implementation to wrap.

### VelocityContext

    public VelocityContext(Map context,
                           Context innerContext)

  Initializes internal storage (never to `null`), and inner context.

Parameters:
  `context` - Internal storage, or `null` to create default storage.
  `innerContext` - Inner context.

Method Detail

### internalGet

    public Object internalGet(String key)

  retrieves value for key from internal storage

  Specified by:
    `internalGet` in class `AbstractContext`
  Parameters:
    `key` - name of value to get
  Returns:
    value as object

### internalPut

    public Object internalPut(String key,
                              Object value)

  stores the value for key to internal storage

  Specified by:
    `internalPut` in class `AbstractContext`
  Parameters:
    `key` - name of value to store
    `value` - value to store
  Returns:
    previous value of key as Object

### internalContainsKey

    public boolean internalContainsKey(Object key)

  determines if there is a value for the given key

  Specified by:
    `internalContainsKey` in class `AbstractContext`
  Parameters:
    `key` - name of value to check
  Returns:
    true if non-null value in store

### internalGetKeys

    public Object[] internalGetKeys()

  returns array of keys

  Specified by:
    `internalGetKeys` in class `AbstractContext`
  Returns:
    keys as []

### internalRemove

    public Object internalRemove(Object key)

  remove a key/value pair from the internal storage

  Specified by:
    `internalRemove` in class `AbstractContext`
  Parameters:
    `key` - name of value to remove
  Returns:
    value removed

### clone

    public Object clone()

  Clones this context object.

  Returns:
    A deep copy of this `Context`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.